%global realname ser
%global debug_package %{nil}
%global git_tag 82f2f5e
%global patchnumber 0


Name:		erlrtpproxy-ser
Version:	0.6.4
Release:	1%{?dist}
Summary:	RTP proxying daemon interface
Group:		Applications/Internet
License:	GPLv3+
URL:		https://github.com/lemenkov/erlrtpproxy-ser
# wget --no-check-certificate https://github.com/lemenkov/erlrtpproxy-ser/tarball/0.6.4
Source0:	lemenkov-erlrtpproxy-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	erlang
BuildRequires:	erlang-erlsyslog
Requires:	erlang
Requires:	erlang-erlsyslog
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service


%description
RTP proxying daemon interface, compatible with
OpenSER/OpenSIPs/Kamailio/SIP-Router nathelper module.


%prep
%setup -q -n lemenkov-erlrtpproxy-%{realname}-%{git_tag}


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%pre
getent group %{realname} >/dev/null || groupadd -r %{realname}
getent passwd %{realname} >/dev/null || useradd -r -g %{realname} -d %{_localstatedir}/lib/%{realname} -s /bin/sh -c "RTP proxying daemon" %{realname}
exit 0


%post
/sbin/chkconfig --add %{realname}


%preun
if [ $1 = 0 ]; then
        /sbin/service %{realname} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{realname}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{realname} reload >/dev/null 2>&1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_initrddir}/%{realname}
%config(noreplace) %{_sysconfdir}/%{realname}.config
%config(noreplace) %{_sysconfdir}/sysconfig/%{realname}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_app.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_ctl.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_proto.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_sup.beam

%dir %attr(0755,%{realname},%{realname}) %{_localstatedir}/lib/%{realname}


%changelog
* Mon Aug 08 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.6.4-1
- Ver. 0.6.4

